[Owasp-appsensor-dev] Issue 4 in appsensor: Maven artifact depends on non existing library

appsensor at googlecode.com appsensor at googlecode.com
Wed Apr 20 04:12:49 EDT 2011


Status: New
Owner: ----
Labels: Type-Defect Priority-Medium

New issue 4 by m.jurcov... at gmail.com: Maven artifact depends on non  
existing library
http://code.google.com/p/appsensor/issues/detail?id=4

Appsensor depends on OWASP:ESAPI:jar:2.0rc7 lib. Maven contains only  
OWASP:ESAPI:jar:2.0rc9 and higher.

What steps will reproduce the problem?
1. Add following dependency to pom.xml:
<dependency>
     <groupId>org.owasp.appsensor</groupId>
     <artifactId>AppSensor</artifactId>
     <version>0.1.3</version>
     <type>jar</type>
<scope>compile</scope>
2. See error:
     Missing artifact OWASP:ESAPI:jar:2.0rc7:compile

Or:
1. Open
     http://mvnrepository.com/artifact/org.owasp.appsensor/AppSensor/0.1.3
2. Go to table "This artifact depends on ..."
3. Click 	ESAPI

What is the expected output? What do you see instead?
No error.

What version of the product are you using? On what operating system?
0.1.3

Please provide any additional information below.





More information about the Owasp-appsensor-dev mailing list